Subject: [CDNi] [RFC 7975 errata]

From: Guillaume Bichot <[email-masked]>
Date: Tue, 27 Apr 2021 09:37:15 +0000

Hi all,
Looks like there might be a mistake in RFC7975 section 4.4.2. One can read the following:

For a successful DNS-based redirection, the dCDN needs to return one
   of the following to the uCDN in the RI response:

   o  The IP address(es) of (or the CNAME of) RTs that are dCDN
      surrogates (if the dCDN is performing DNS-based redirection
      directly to a surrogate); or

   o  The IP address(es) of (or the CNAME of) RTs that are Request
      Routers (if the dCDN will perform request redirection itself).  A
      dCDN MUST NOT return an RT that is a Request Router if the dns-
      only key is set to True in the RI request.

However, if the retuned IP address(es) (or the CNAME of) RTs are dCDN surrogates then it means the uCDN (and not the dCDN) is performing  DNS-based redirection directly to a surrogate.

SO one should read:

For a successful DNS-based redirection, the dCDN needs to return one
   of the following to the uCDN in the RI response:

   o  The IP address(es) of (or the CNAME of) RTs that are dCDN
      surrogates (if the uCDN is performing DNS-based redirection
      directly to a surrogate); or

   o  The IP address(es) of (or the CNAME of) RTs that are Request
      Routers (if the dCDN will perform request redirection itself).  A
      dCDN MUST NOT return an RT that is a Request Router if the dns-
      only key is set to True in the RI request.

Guillaume Bichot

Guillaume Bichot
Principal Engineer, Head of Exploration

m: +33 685 597 666    p: +33 222 740 350
[email-masked]<mailto:[email-masked]>
[Logo]<https://www.broadpeak.tv/>

[twitter]<https://twitter.com/broadpeak>
[linkedin]<https://www.linkedin.com/company/broadpeak_2/>
[website]<https://broadpeak.tv/>

---

From: Nir Sopher <[email-masked]>
Date: Tue, 27 Apr 2021 22:48:15 +0300

Hi Guillaume,

I would add that if this is indeed an error, same issue also appears in section
4.5.2 <https://tools.ietf.org/html/rfc7975#section-4.5.2>

Nir

On Tue, Apr 27, 2021 at 12:37 PM Guillaume Bichot <
[email-masked]> wrote:

> However, if the retuned IP address(es) (or the CNAME of) RTs are dCDN
> surrogates then it means the *uCDN* (and not the dCDN) is performing
> DNS-based redirection directly to a surrogate.
>
>
>
> SO one should read:
>
>
>
>       surrogates (if the *uCDN* is performing DNS-based redirection
>
> *Guillaume Bichot*
> *m:* +33 685 597 666    *p:* +33 222 740 350
>
> [email-masked] <[email-masked]>
>
>  <https://www.broadpeak.tv/>
>
>
>
>  <https://twitter.com/broadpeak>
>
>  <https://www.linkedin.com/company/broadpeak_2/>
>
>  <https://broadpeak.tv/>
>
>
>
>
> _______________________________________________
> CDNi mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/cdni
>

---

From: [email-masked]
Date: Wed, 28 Apr 2021 01:28:16 +0000

Hi Guillaume - Thank you. I agree with you on the error/typo (but one that changes the context). So, indeed sec 4.4.2 should be corrected as you listed below.

Thanks
Sanjay

From: Guillaume Bichot [mailto:[email-masked]]
Sent: Tuesday, April 27, 2021 5:37 AM
To: [email-masked]
Cc: Kevin Ma <[email-masked]>; Mishra, Sanjay <[email-masked]>
Subject: [E] [RFC 7975 errata]

Hi all,

SO one should read:

Guillaume Bichot

Guillaume Bichot

[Logo]<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.broadpeak.tv_&d=DwMFAg&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=HpDOPdXZxC595fAQ1tUmoCm2xKWrFTipJWF44jjvIcc&s=S27uZ1iToO1zpbnRwzTweF60C9E9hWI48YPfH9Mi3Vo&e=>

[twitter]<https://urldefense.proofpoint.com/v2/url?u=https-3A__twitter.com_broadpeak&d=DwMFAg&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=HpDOPdXZxC595fAQ1tUmoCm2xKWrFTipJWF44jjvIcc&s=1SLsmG6-ZCCQ99vClIzSOmRcm3_7HOCvq8cpxWMIhM0&e=>

[linkedin]<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.linkedin.com_company_broadpeak-5F2_&d=DwMFAg&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=HpDOPdXZxC595fAQ1tUmoCm2xKWrFTipJWF44jjvIcc&s=BiamHiC2hVwLnGizPPkurTa9AB38y80e4xlVr8zgiIo&e=>

[website]<https://urldefense.proofpoint.com/v2/url?u=https-3A__broadpeak.tv_&d=DwMFAg&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=HpDOPdXZxC595fAQ1tUmoCm2xKWrFTipJWF44jjvIcc&s=TLT6gKRtb8HNe5MyXEuZ2l9auJyH1s2EAG75ENu4w4Y&e=>

---

From: [email-masked]
Date: Wed, 28 Apr 2021 01:37:01 +0000

Hi Nir – Yes, section 4.5.2<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc7975-23section-2D4.5.2&d=DwMFaQ&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=D4x3AAvn759v_GD7JUPfUXzixf2RGwfO0AoHPDgYst8&s=pIXFW5Rz-ouDZ65pMu_sF9RzIE5cNXxUONpEUsm6IZE&e=> needs to be corrected similar to Section 4.4.2<https://tools.ietf.org/html/rfc7975#section-4.4.2>

Old Text
4.5.2<https://tools.ietf.org/html/rfc7975#section-4.5.2>.  HTTP Redirection Responses
  For a successful HTTP-based redirection, the dCDN needs to return one
   of the following to the uCDN in the RI response:

   o  A URI pointing to an RT that is the selected dCDN surrogate(s) (if
      the dCDN is performing HTTP-based redirection directly to a
      surrogate); or

   o  A URI pointing to an RT that is a Request Router (if the dCDN will
      perform request redirection itself).

Replacement Text
4.5.2<https://tools.ietf.org/html/rfc7975#section-4.5.2>.  HTTP Redirection Responses

   For a successful HTTP-based redirection, the dCDN needs to return one
   of the following to the uCDN in the RI response:

   o  A URI pointing to an RT that is the selected dCDN surrogate(s) (if
      the uCDN is performing HTTP-based redirection directly to a
      surrogate); or

   o  A URI pointing to an RT that is a Request Router (if the dCDN will
      perform request redirection itself).

Both changes can be submitted via errata submission using https://www.rfc-editor.org/errata.php

Any volunteer to review through RFC7975 for any other inconsistencies? Other RFCs may also need to be looked at anywhere there is usage of dCDN and uCDN as the unintended typo can easily be made.

Thanks
Sanjay

From: CDNi [mailto:[email-masked]] On Behalf Of Nir Sopher
Sent: Tuesday, April 27, 2021 3:48 PM
To: Guillaume Bichot <[email-masked]>
Cc: [email-masked]
Subject: [E] Re: [CDNi] [RFC 7975 errata]

Hi Guillaume,

I would add that if this is indeed an error, same issue also appears in section 4.5.2<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc7975-23section-2D4.5.2&d=DwMFaQ&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=D4x3AAvn759v_GD7JUPfUXzixf2RGwfO0AoHPDgYst8&s=pIXFW5Rz-ouDZ65pMu_sF9RzIE5cNXxUONpEUsm6IZE&e=>

Nir

On Tue, Apr 27, 2021 at 12:37 PM Guillaume Bichot <[email-masked]<mailto:[email-masked]>> wrote:
Hi all,
Looks like there might be a mistake in RFC7975 section 4.4.2. One can read the following:

SO one should read:

Guillaume Bichot

Guillaume Bichot

[Logo]<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.broadpeak.tv_&d=DwMFaQ&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=D4x3AAvn759v_GD7JUPfUXzixf2RGwfO0AoHPDgYst8&s=AOKUSxGPayQYa1ciBGyhRB1BmXKsCKdWR4RpuG0oMxM&e=>

[twitter]<https://urldefense.proofpoint.com/v2/url?u=https-3A__twitter.com_broadpeak&d=DwMFaQ&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=D4x3AAvn759v_GD7JUPfUXzixf2RGwfO0AoHPDgYst8&s=QyQA2dg_7a6jzU6AFV9_KUWYPJPA9DHRSi854wMZ04Q&e=>

[linkedin]<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.linkedin.com_company_broadpeak-5F2_&d=DwMFaQ&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=D4x3AAvn759v_GD7JUPfUXzixf2RGwfO0AoHPDgYst8&s=aAIS-3OSx8mY3DN5a_CzXFoSjWVjUjHSodec1PmXHwY&e=>

[website]<https://urldefense.proofpoint.com/v2/url?u=https-3A__broadpeak.tv_&d=DwMFaQ&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=D4x3AAvn759v_GD7JUPfUXzixf2RGwfO0AoHPDgYst8&s=lOo4-CbuUNJrUen0MvU4nKqJfM8LgC4VhQQMMR8jKGs&e=>

_______________________________________________
CDNi mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/cdni<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_cdni&d=DwMFaQ&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=D4x3AAvn759v_GD7JUPfUXzixf2RGwfO0AoHPDgYst8&s=OhfZXoBr1FE2nP6Oi5-Y-iYgwu2UG9j0-mFppRN-bmk&e=>

---

From: Guillaume Bichot <[email-masked]>
Date: Wed, 28 Apr 2021 06:57:46 +0000

Hi Nir and Sanjay.
Yes, same issue with HTTP redirect.
Guillaume

From: [email-masked] <[email-masked]>
Sent: Wednesday, April 28, 2021 3:37 AM
To: Nir Sopher <[email-masked]>
Cc: [email-masked]; Guillaume Bichot <[email-masked]>
Subject: RE: [E] Re: [CDNi] [RFC 7975 errata]

Hi Nir - Yes, section 4.5.2<https://eur02.safelinks.protection.outlook.com/?url=https%3A%2F%2Furldefense.proofpoint.com%2Fv2%2Furl%3Fu%3Dhttps-3A__tools.ietf.org_html_rfc7975-23section-2D4.5.2%26d%3DDwMFaQ%26c%3DudBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ%26r%3DXniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM%26m%3DD4x3AAvn759v_GD7JUPfUXzixf2RGwfO0AoHPDgYst8%26s%3DpIXFW5Rz-ouDZ65pMu_sF9RzIE5cNXxUONpEUsm6IZE%26e%3D&data=04%7C01%7CGuillaume.Bichot%40broadpeak.tv%7Cf36b27c6ed9b4413c4d708d909e620cb%7C0ebe44eac9c9438da0407e699f358ed4%7C0%7C0%7C637551706282401380%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=YHIsr%2BsLyD%2B%2B3FNWh9LVX93Njq2QTm9ZVtrvCxLro8U%3D&reserved=0> needs to be corrected similar to Section 4.4.2<https://eur02.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Frfc7975%23section-4.4.2&data=04%7C01%7CGuillaume.Bichot%40broadpeak.tv%7Cf36b27c6ed9b4413c4d708d909e620cb%7C0ebe44eac9c9438da0407e699f358ed4%7C0%7C0%7C637551706282411325%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=a19oD4ulB%2BZDmkTTB%2F%2FUPB%2FE4fti6AMteeoaS7Ji3Zo%3D&reserved=0>

Old Text
4.5.2<https://eur02.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Frfc7975%23section-4.5.2&data=04%7C01%7CGuillaume.Bichot%40broadpeak.tv%7Cf36b27c6ed9b4413c4d708d909e620cb%7C0ebe44eac9c9438da0407e699f358ed4%7C0%7C0%7C637551706282411325%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=FNDUDNvqQxWLIBeApOLXr0rmzKIyQ%2FuzyAqFGgTIuLU%3D&reserved=0>.  HTTP Redirection Responses
  For a successful HTTP-based redirection, the dCDN needs to return one
   of the following to the uCDN in the RI response:

Replacement Text
4.5.2<https://eur02.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Frfc7975%23section-4.5.2&data=04%7C01%7CGuillaume.Bichot%40broadpeak.tv%7Cf36b27c6ed9b4413c4d708d909e620cb%7C0ebe44eac9c9438da0407e699f358ed4%7C0%7C0%7C637551706282421294%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=Zg18cJR9HCKwZKrtXlRnsqiG%2FnTck32kIc5EKFvAWwc%3D&reserved=0>.  HTTP Redirection Responses

Both changes can be submitted via errata submission using https://www.rfc-editor.org/errata.php<https://eur02.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.rfc-editor.org%2Ferrata.php&data=04%7C01%7CGuillaume.Bichot%40broadpeak.tv%7Cf36b27c6ed9b4413c4d708d909e620cb%7C0ebe44eac9c9438da0407e699f358ed4%7C0%7C0%7C637551706282421294%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=EvTiVuRlh81AQQvwfriz77D3%2FUv4wxG3DiOjqrDJRLE%3D&reserved=0>

Thanks
Sanjay

From: CDNi [mailto:[email-masked]] On Behalf Of Nir Sopher
Sent: Tuesday, April 27, 2021 3:48 PM
To: Guillaume Bichot <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>
Subject: [E] Re: [CDNi] [RFC 7975 errata]

Hi Guillaume,

I would add that if this is indeed an error, same issue also appears in section 4.5.2<https://eur02.safelinks.protection.outlook.com/?url=https%3A%2F%2Furldefense.proofpoint.com%2Fv2%2Furl%3Fu%3Dhttps-3A__tools.ietf.org_html_rfc7975-23section-2D4.5.2%26d%3DDwMFaQ%26c%3DudBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ%26r%3DXniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM%26m%3DD4x3AAvn759v_GD7JUPfUXzixf2RGwfO0AoHPDgYst8%26s%3DpIXFW5Rz-ouDZ65pMu_sF9RzIE5cNXxUONpEUsm6IZE%26e%3D&data=04%7C01%7CGuillaume.Bichot%40broadpeak.tv%7Cf36b27c6ed9b4413c4d708d909e620cb%7C0ebe44eac9c9438da0407e699f358ed4%7C0%7C0%7C637551706282431239%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=vnBkn9G3Eqn264aPQXdc%2BYnQcJc%2BcSEuEdaLvPLFv9g%3D&reserved=0>

Nir

SO one should read:

Guillaume Bichot

Guillaume Bichot

m: +33 685 597 666    p: +33 222 740 350
[email-masked]<mailto:[email-masked]>
[Logo]<https://eur02.safelinks.protection.outlook.com/?url=https%3A%2F%2Furldefense.proofpoint.com%2Fv2%2Furl%3Fu%3Dhttps-3A__www.broadpeak.tv_%26d%3DDwMFaQ%26c%3DudBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ%26r%3DXniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM%26m%3DD4x3AAvn759v_GD7JUPfUXzixf2RGwfO0AoHPDgYst8%26s%3DAOKUSxGPayQYa1ciBGyhRB1BmXKsCKdWR4RpuG0oMxM%26e%3D&data=04%7C01%7CGuillaume.Bichot%40broadpeak.tv%7Cf36b27c6ed9b4413c4d708d909e620cb%7C0ebe44eac9c9438da0407e699f358ed4%7C0%7C0%7C637551706282431239%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=3NOb8BFaEAz4VYJDmFRMcUdaZb9mNmee8deW%2Ff%2Bhkrk%3D&reserved=0>

[twitter]<https://eur02.safelinks.protection.outlook.com/?url=https%3A%2F%2Furldefense.proofpoint.com%2Fv2%2Furl%3Fu%3Dhttps-3A__twitter.com_broadpeak%26d%3DDwMFaQ%26c%3DudBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ%26r%3DXniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM%26m%3DD4x3AAvn759v_GD7JUPfUXzixf2RGwfO0AoHPDgYst8%26s%3DQyQA2dg_7a6jzU6AFV9_KUWYPJPA9DHRSi854wMZ04Q%26e%3D&data=04%7C01%7CGuillaume.Bichot%40broadpeak.tv%7Cf36b27c6ed9b4413c4d708d909e620cb%7C0ebe44eac9c9438da0407e699f358ed4%7C0%7C0%7C637551706282431239%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=X%2Bg1yorj2Luu9RUqK5BrIMAe9nfRrAmcolJaGyX5quk%3D&reserved=0>
[linkedin]<https://eur02.safelinks.protection.outlook.com/?url=https%3A%2F%2Furldefense.proofpoint.com%2Fv2%2Furl%3Fu%3Dhttps-3A__www.linkedin.com_company_broadpeak-5F2_%26d%3DDwMFaQ%26c%3DudBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ%26r%3DXniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM%26m%3DD4x3AAvn759v_GD7JUPfUXzixf2RGwfO0AoHPDgYst8%26s%3DaAIS-3OSx8mY3DN5a_CzXFoSjWVjUjHSodec1PmXHwY%26e%3D&data=04%7C01%7CGuillaume.Bichot%40broadpeak.tv%7Cf36b27c6ed9b4413c4d708d909e620cb%7C0ebe44eac9c9438da0407e699f358ed4%7C0%7C0%7C637551706282441205%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=eD%2FAJLxzH4%2FCGnaCXmGQir3bwD72jGOrjyrWXP1pnMs%3D&reserved=0>
[website]<https://eur02.safelinks.protection.outlook.com/?url=https%3A%2F%2Furldefense.proofpoint.com%2Fv2%2Furl%3Fu%3Dhttps-3A__broadpeak.tv_%26d%3DDwMFaQ%26c%3DudBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ%26r%3DXniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM%26m%3DD4x3AAvn759v_GD7JUPfUXzixf2RGwfO0AoHPDgYst8%26s%3DlOo4-CbuUNJrUen0MvU4nKqJfM8LgC4VhQQMMR8jKGs%26e%3D&data=04%7C01%7CGuillaume.Bichot%40broadpeak.tv%7Cf36b27c6ed9b4413c4d708d909e620cb%7C0ebe44eac9c9438da0407e699f358ed4%7C0%7C0%7C637551706282441205%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=qiOJVoo2UVIiuTnDpM3POb92QmlTELuehjEIC7aRRt8%3D&reserved=0>

_______________________________________________
CDNi mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/cdni<https://eur02.safelinks.protection.outlook.com/?url=https%3A%2F%2Furldefense.proofpoint.com%2Fv2%2Furl%3Fu%3Dhttps-3A__www.ietf.org_mailman_listinfo_cdni%26d%3DDwMFaQ%26c%3DudBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ%26r%3DXniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM%26m%3DD4x3AAvn759v_GD7JUPfUXzixf2RGwfO0AoHPDgYst8%26s%3DOhfZXoBr1FE2nP6Oi5-Y-iYgwu2UG9j0-mFppRN-bmk%26e%3D&data=04%7C01%7CGuillaume.Bichot%40broadpeak.tv%7Cf36b27c6ed9b4413c4d708d909e620cb%7C0ebe44eac9c9438da0407e699f358ed4%7C0%7C0%7C637551706282451152%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=dbHwLcNr7Hfki9cBjXGCLbtAaO7sDGiS4iBuDZLuoXQ%3D&reserved=0>

---

From: Kevin Ma <[email-masked]>
Date: Wed, 28 Apr 2021 22:50:14 -0400

Hi All,

  I think the text of RFC 7975 is correct.  The uCDN is asking the dCDN to
resolve the DNS request, and the response to the RI request is in fact "the
dCDN ... performing DNS-based redirection".

  I think the text in question has to be read in the CDNI context of uCDN
<-> dCDN communications, not client <-> uCDN communications.  Though the
uCDN does relay a response to the client, the RI interface response
represents the actual redirection decision making by the dCDN.  The two
bullet points are simply distinguishing between direct to surrogate vs to a
request router.

--  Kevin J. Ma

On Tue, Apr 27, 2021 at 9:28 PM <[email-masked]> wrote:

> Hi Guillaume – Thank you. I agree with you on the error/typo (but one that
> changes the context). So, indeed sec 4.4.2 should be corrected as you
> listed below.
>
>
>
> Thanks
>
> Sanjay
>
>
>
>
>
>
>
> *From:* Guillaume Bichot [mailto:[email-masked]]
> *Sent:* Tuesday, April 27, 2021 5:37 AM
> *To:* [email-masked]
> *Cc:* Kevin Ma <[email-masked]>; Mishra, Sanjay <
> [email-masked]>
> *Subject:* [E] [RFC 7975 errata]
>
>
>
> Hi all,
>
> <https://urldefense.proofpoint.com/v2/url?u=https-3A__www.broadpeak.tv_&d=DwMFAg&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=HpDOPdXZxC595fAQ1tUmoCm2xKWrFTipJWF44jjvIcc&s=S27uZ1iToO1zpbnRwzTweF60C9E9hWI48YPfH9Mi3Vo&e=>
>
>
>
> <https://urldefense.proofpoint.com/v2/url?u=https-3A__twitter.com_broadpeak&d=DwMFAg&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=HpDOPdXZxC595fAQ1tUmoCm2xKWrFTipJWF44jjvIcc&s=1SLsmG6-ZCCQ99vClIzSOmRcm3_7HOCvq8cpxWMIhM0&e=>
>
> <https://urldefense.proofpoint.com/v2/url?u=https-3A__www.linkedin.com_company_broadpeak-5F2_&d=DwMFAg&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=HpDOPdXZxC595fAQ1tUmoCm2xKWrFTipJWF44jjvIcc&s=BiamHiC2hVwLnGizPPkurTa9AB38y80e4xlVr8zgiIo&e=>
>
> <https://urldefense.proofpoint.com/v2/url?u=https-3A__broadpeak.tv_&d=DwMFAg&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=HpDOPdXZxC595fAQ1tUmoCm2xKWrFTipJWF44jjvIcc&s=TLT6gKRtb8HNe5MyXEuZ2l9auJyH1s2EAG75ENu4w4Y&e=>
>
>
>
>
>

---

From: Guillaume Bichot <[email-masked]>
Date: Thu, 29 Apr 2021 08:23:46 +0000

Hi Kevin.

This is the way I read it at first. But the least we can say is that it is misleading. The two bullets are contradictory.

Look at the second one. It says that the RTs are [dCDN] request routers (if the dCDN will perform request redirection itself). This is really the dCDN that will perform the redirect outside of the context of that uCDN<---->dCDN RR interface communication. Whereas with the first bullet, it would mean something regarding only the context of that uCDN<---->dCDN RR interface communication.

With my proposed change it becomes coherent in the way both bullets means something outside the context of the uCDN<---->dCDN RR interface communication

Guillaume

From: Kevin Ma <[email-masked]>
Sent: Thursday, April 29, 2021 4:50 AM
To: Mishra, Sanjay <[email-masked]>
Cc: Guillaume Bichot <[email-masked]>; [email-masked]
Subject: Re: [RFC 7975 errata]

Hi All,

  I think the text of RFC 7975 is correct.  The uCDN is asking the dCDN to resolve the DNS request, and the response to the RI request is in fact "the dCDN ... performing DNS-based redirection".

  I think the text in question has to be read in the CDNI context of uCDN <-> dCDN communications, not client <-> uCDN communications.  Though the uCDN does relay a response to the client, the RI interface response represents the actual redirection decision making by the dCDN.  The two bullet points are simply distinguishing between direct to surrogate vs to a request router.

--  Kevin J. Ma

On Tue, Apr 27, 2021 at 9:28 PM <[email-masked]<mailto:[email-masked]>> wrote:
Hi Guillaume - Thank you. I agree with you on the error/typo (but one that changes the context). So, indeed sec 4.4.2 should be corrected as you listed below.

Thanks
Sanjay

From: Guillaume Bichot [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Tuesday, April 27, 2021 5:37 AM
To: [email-masked]<mailto:[email-masked]>
Cc: Kevin Ma <[email-masked]<mailto:[email-masked]>>; Mishra, Sanjay <[email-masked]<mailto:[email-masked]>>
Subject: [E] [RFC 7975 errata]

Hi all,

SO one should read:

Guillaume Bichot

Guillaume Bichot

m: +33 685 597 666    p: +33 222 740 350
[email-masked]<mailto:[email-masked]>
[Logo]<https://eur02.safelinks.protection.outlook.com/?url=https%3A%2F%2Furldefense.proofpoint.com%2Fv2%2Furl%3Fu%3Dhttps-3A__www.broadpeak.tv_%26d%3DDwMFAg%26c%3DudBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ%26r%3DXniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM%26m%3DHpDOPdXZxC595fAQ1tUmoCm2xKWrFTipJWF44jjvIcc%26s%3DS27uZ1iToO1zpbnRwzTweF60C9E9hWI48YPfH9Mi3Vo%26e%3D&data=04%7C01%7CGuillaume.Bichot%40broadpeak.tv%7C5e941bffcdb24501b7ae08d90ab98c5f%7C0ebe44eac9c9438da0407e699f358ed4%7C0%7C0%7C637552614316602117%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=2vUJ8DV1kcodViDlBMWjnd53Yg2zoA5ICf72M%2BDn3YA%3D&reserved=0>

[twitter]<https://eur02.safelinks.protection.outlook.com/?url=https%3A%2F%2Furldefense.proofpoint.com%2Fv2%2Furl%3Fu%3Dhttps-3A__twitter.com_broadpeak%26d%3DDwMFAg%26c%3DudBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ%26r%3DXniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM%26m%3DHpDOPdXZxC595fAQ1tUmoCm2xKWrFTipJWF44jjvIcc%26s%3D1SLsmG6-ZCCQ99vClIzSOmRcm3_7HOCvq8cpxWMIhM0%26e%3D&data=04%7C01%7CGuillaume.Bichot%40broadpeak.tv%7C5e941bffcdb24501b7ae08d90ab98c5f%7C0ebe44eac9c9438da0407e699f358ed4%7C0%7C0%7C637552614316602117%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=nYz2%2FpeThUDemwX2t1SuBvinhdv22nnq45N5Ay566Yk%3D&reserved=0>
[linkedin]<https://eur02.safelinks.protection.outlook.com/?url=https%3A%2F%2Furldefense.proofpoint.com%2Fv2%2Furl%3Fu%3Dhttps-3A__www.linkedin.com_company_broadpeak-5F2_%26d%3DDwMFAg%26c%3DudBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ%26r%3DXniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM%26m%3DHpDOPdXZxC595fAQ1tUmoCm2xKWrFTipJWF44jjvIcc%26s%3DBiamHiC2hVwLnGizPPkurTa9AB38y80e4xlVr8zgiIo%26e%3D&data=04%7C01%7CGuillaume.Bichot%40broadpeak.tv%7C5e941bffcdb24501b7ae08d90ab98c5f%7C0ebe44eac9c9438da0407e699f358ed4%7C0%7C0%7C637552614316612073%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=AvOuakkX1CujJaj%2BP38AdrcA5zsfGH1lBDX00PHiLb0%3D&reserved=0>
[website]<https://eur02.safelinks.protection.outlook.com/?url=https%3A%2F%2Furldefense.proofpoint.com%2Fv2%2Furl%3Fu%3Dhttps-3A__broadpeak.tv_%26d%3DDwMFAg%26c%3DudBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ%26r%3DXniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM%26m%3DHpDOPdXZxC595fAQ1tUmoCm2xKWrFTipJWF44jjvIcc%26s%3DTLT6gKRtb8HNe5MyXEuZ2l9auJyH1s2EAG75ENu4w4Y%26e%3D&data=04%7C01%7CGuillaume.Bichot%40broadpeak.tv%7C5e941bffcdb24501b7ae08d90ab98c5f%7C0ebe44eac9c9438da0407e699f358ed4%7C0%7C0%7C637552614316612073%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=CoGn%2Bah0P3n1YZBlr7xUM5HsDZWbnlPtNBPA47IGt7k%3D&reserved=0>

---

From: [email-masked]
Date: Thu, 29 Apr 2021 15:03:02 +0000

Kevin - You are correct that both Section 4.4.2<https://tools.ietf.org/html/rfc7975#section-4.4.2> and 4.5.2<https://tools.ietf.org/html/rfc7975#section-4.5.2> correctly describe the flows.  The issue as I see it is a 'typo' in the 1nd bullet in each of the two sections.

      surrogate);

As I read it, the text within parenthesis should say uCDN and not dCDN "(if the uCDN is performing HTTP-based redirection directly to a surrogate)"

Since dCDN is returning to uCDN a URI pointing to an RT, and to which uCDN will perform HTTP-based redirection directly to a surrogate.

Thanks
Sanjay

From: Guillaume Bichot [mailto:[email-masked]]
Sent: Thursday, April 29, 2021 4:24 AM
To: Kevin Ma <[email-masked]>; Mishra, Sanjay <[email-masked]>
Cc: [email-masked]
Subject: [E] RE: [RFC 7975 errata]

Hi Kevin.

Guillaume

From: Kevin Ma <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, April 29, 2021 4:50 AM
To: Mishra, Sanjay <[email-masked]<mailto:[email-masked]>>
Cc: Guillaume Bichot <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: Re: [RFC 7975 errata]

Hi All,

--  Kevin J. Ma

Thanks
Sanjay

Hi all,

SO one should read:

Guillaume Bichot

Guillaume Bichot

[Logo]<https://urldefense.proofpoint.com/v2/url?u=https-3A__eur02.safelinks.protection.outlook.com_-3Furl-3Dhttps-253A-252F-252Furldefense.proofpoint.com-252Fv2-252Furl-253Fu-253Dhttps-2D3A-5F-5Fwww.broadpeak.tv-5F-2526d-253DDwMFAg-2526c-253DudBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6-5F-5F0PomBTQ-2526r-253DXniVbishGiO2Ao9hKqSc-2DhTVIWCi3T-2Dx6GdHR4ZTgoM-2526m-253DHpDOPdXZxC595fAQ1tUmoCm2xKWrFTipJWF44jjvIcc-2526s-253DS27uZ1iToO1zpbnRwzTweF60C9E9hWI48YPfH9Mi3Vo-2526e-253D-26data-3D04-257C01-257CGuillaume.Bichot-2540broadpeak.tv-257C5e941bffcdb24501b7ae08d90ab98c5f-257C0ebe44eac9c9438da0407e699f358ed4-257C0-257C0-257C637552614316602117-257CUnknown-257CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0-253D-257C1000-26sdata-3D2vUJ8DV1kcodViDlBMWjnd53Yg2zoA5ICf72M-252BDn3YA-253D-26reserved-3D0&d=DwMFAg&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=yztc-aTDirgOl9wsk5K-wraJb5KHHbecaFDjdFNHumI&s=oQuEMXCW4r1rUSPrUib93kedJl5TINYgp0I5B_t0TSQ&e=>

[twitter]<https://urldefense.proofpoint.com/v2/url?u=https-3A__eur02.safelinks.protection.outlook.com_-3Furl-3Dhttps-253A-252F-252Furldefense.proofpoint.com-252Fv2-252Furl-253Fu-253Dhttps-2D3A-5F-5Ftwitter.com-5Fbroadpeak-2526d-253DDwMFAg-2526c-253DudBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6-5F-5F0PomBTQ-2526r-253DXniVbishGiO2Ao9hKqSc-2DhTVIWCi3T-2Dx6GdHR4ZTgoM-2526m-253DHpDOPdXZxC595fAQ1tUmoCm2xKWrFTipJWF44jjvIcc-2526s-253D1SLsmG6-2DZCCQ99vClIzSOmRcm3-5F7HOCvq8cpxWMIhM0-2526e-253D-26data-3D04-257C01-257CGuillaume.Bichot-2540broadpeak.tv-257C5e941bffcdb24501b7ae08d90ab98c5f-257C0ebe44eac9c9438da0407e699f358ed4-257C0-257C0-257C637552614316602117-257CUnknown-257CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0-253D-257C1000-26sdata-3DnYz2-252FpeThUDemwX2t1SuBvinhdv22nnq45N5Ay566Yk-253D-26reserved-3D0&d=DwMFAg&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=yztc-aTDirgOl9wsk5K-wraJb5KHHbecaFDjdFNHumI&s=v78K7rEnyxRHr-Pm2t9iZmIIwx88J47r1cvY0K9N81E&e=>

[linkedin]<https://urldefense.proofpoint.com/v2/url?u=https-3A__eur02.safelinks.protection.outlook.com_-3Furl-3Dhttps-253A-252F-252Furldefense.proofpoint.com-252Fv2-252Furl-253Fu-253Dhttps-2D3A-5F-5Fwww.linkedin.com-5Fcompany-5Fbroadpeak-2D5F2-5F-2526d-253DDwMFAg-2526c-253DudBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6-5F-5F0PomBTQ-2526r-253DXniVbishGiO2Ao9hKqSc-2DhTVIWCi3T-2Dx6GdHR4ZTgoM-2526m-253DHpDOPdXZxC595fAQ1tUmoCm2xKWrFTipJWF44jjvIcc-2526s-253DBiamHiC2hVwLnGizPPkurTa9AB38y80e4xlVr8zgiIo-2526e-253D-26data-3D04-257C01-257CGuillaume.Bichot-2540broadpeak.tv-257C5e941bffcdb24501b7ae08d90ab98c5f-257C0ebe44eac9c9438da0407e699f358ed4-257C0-257C0-257C637552614316612073-257CUnknown-257CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0-253D-257C1000-26sdata-3DAvOuakkX1CujJaj-252BP38AdrcA5zsfGH1lBDX00PHiLb0-253D-26reserved-3D0&d=DwMFAg&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=yztc-aTDirgOl9wsk5K-wraJb5KHHbecaFDjdFNHumI&s=V4BUi-PkTyohcNiBBceHkTs1EGE_z-AUf85pzSmNszg&e=>

[website]<https://urldefense.proofpoint.com/v2/url?u=https-3A__eur02.safelinks.protection.outlook.com_-3Furl-3Dhttps-253A-252F-252Furldefense.proofpoint.com-252Fv2-252Furl-253Fu-253Dhttps-2D3A-5F-5Fbroadpeak.tv-5F-2526d-253DDwMFAg-2526c-253DudBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6-5F-5F0PomBTQ-2526r-253DXniVbishGiO2Ao9hKqSc-2DhTVIWCi3T-2Dx6GdHR4ZTgoM-2526m-253DHpDOPdXZxC595fAQ1tUmoCm2xKWrFTipJWF44jjvIcc-2526s-253DTLT6gKRtb8HNe5MyXEuZ2l9auJyH1s2EAG75ENu4w4Y-2526e-253D-26data-3D04-257C01-257CGuillaume.Bichot-2540broadpeak.tv-257C5e941bffcdb24501b7ae08d90ab98c5f-257C0ebe44eac9c9438da0407e699f358ed4-257C0-257C0-257C637552614316612073-257CUnknown-257CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0-253D-257C1000-26sdata-3DCoGn-252Bah0P3n1YZBlr7xUM5HsDZWbnlPtNBPA47IGt7k-253D-26reserved-3D0&d=DwMFAg&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=yztc-aTDirgOl9wsk5K-wraJb5KHHbecaFDjdFNHumI&s=CJJSlyCGoO0Vl9mEKjMt8uy_ji7yvkRNt1v7FG9tOjo&e=>

---

From: Kevin Ma <[email-masked]>
Date: Sat, 1 May 2021 00:07:11 -0400

Hi Guillaume,

  Thanks for the clarification.  I understand the point you make and can
see how the use of "performing" in both bullets could be interpreted in the
way you describe, but I still don't agree that the parenthetical is
attempting to describe uCDN behavior.  I think the intent was to describe
the dCDN behavior.  If the word "performing" in the first bullet was
replaced with something like "directing" or "configured for", would that
address the contradiction as you see it?

thanx!

--  Kevin J. Ma

On Thu, Apr 29, 2021 at 4:23 AM Guillaume Bichot <
[email-masked]> wrote:

> Hi Kevin.
>
>
>
> This is the way I read it at first. But the least we can say is that it is
> misleading. The two bullets are contradictory.
>
>
>
> Look at the second one. It says that the RTs are [dCDN] request routers (if
> the dCDN will perform request redirection itself). This is really the
> dCDN that will perform the redirect outside of the context of that uCDNßàdCDN
> RR interface communication. Whereas with the first bullet, it would mean
> something regarding only the context of that uCDNßàdCDN RR interface
> communication.
>
>
>
> With my proposed change it becomes coherent in the way both bullets means
> something outside the context of the uCDNßàdCDN RR interface communication
>
>
>
> Guillaume
>
>
>
> *From:* Kevin Ma <[email-masked]>
> *Sent:* Thursday, April 29, 2021 4:50 AM
> *To:* Mishra, Sanjay <[email-masked]>
> *Cc:* Guillaume Bichot <[email-masked]>; [email-masked]
> *Subject:* Re: [RFC 7975 errata]
>
>
>
> Hi All,
>
>
>
> <https://eur02.safelinks.protection.outlook.com/?url=https%3A%2F%2Furldefense.proofpoint.com%2Fv2%2Furl%3Fu%3Dhttps-3A__www.broadpeak.tv_%26d%3DDwMFAg%26c%3DudBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ%26r%3DXniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM%26m%3DHpDOPdXZxC595fAQ1tUmoCm2xKWrFTipJWF44jjvIcc%26s%3DS27uZ1iToO1zpbnRwzTweF60C9E9hWI48YPfH9Mi3Vo%26e%3D&data=04%7C01%7CGuillaume.Bichot%40broadpeak.tv%7C5e941bffcdb24501b7ae08d90ab98c5f%7C0ebe44eac9c9438da0407e699f358ed4%7C0%7C0%7C637552614316602117%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=2vUJ8DV1kcodViDlBMWjnd53Yg2zoA5ICf72M%2BDn3YA%3D&reserved=0>
>
>
>
> <https://eur02.safelinks.protection.outlook.com/?url=https%3A%2F%2Furldefense.proofpoint.com%2Fv2%2Furl%3Fu%3Dhttps-3A__twitter.com_broadpeak%26d%3DDwMFAg%26c%3DudBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ%26r%3DXniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM%26m%3DHpDOPdXZxC595fAQ1tUmoCm2xKWrFTipJWF44jjvIcc%26s%3D1SLsmG6-ZCCQ99vClIzSOmRcm3_7HOCvq8cpxWMIhM0%26e%3D&data=04%7C01%7CGuillaume.Bichot%40broadpeak.tv%7C5e941bffcdb24501b7ae08d90ab98c5f%7C0ebe44eac9c9438da0407e699f358ed4%7C0%7C0%7C637552614316602117%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=nYz2%2FpeThUDemwX2t1SuBvinhdv22nnq45N5Ay566Yk%3D&reserved=0>
>
> <https://eur02.safelinks.protection.outlook.com/?url=https%3A%2F%2Furldefense.proofpoint.com%2Fv2%2Furl%3Fu%3Dhttps-3A__www.linkedin.com_company_broadpeak-5F2_%26d%3DDwMFAg%26c%3DudBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ%26r%3DXniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM%26m%3DHpDOPdXZxC595fAQ1tUmoCm2xKWrFTipJWF44jjvIcc%26s%3DBiamHiC2hVwLnGizPPkurTa9AB38y80e4xlVr8zgiIo%26e%3D&data=04%7C01%7CGuillaume.Bichot%40broadpeak.tv%7C5e941bffcdb24501b7ae08d90ab98c5f%7C0ebe44eac9c9438da0407e699f358ed4%7C0%7C0%7C637552614316612073%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=AvOuakkX1CujJaj%2BP38AdrcA5zsfGH1lBDX00PHiLb0%3D&reserved=0>
>
> <https://eur02.safelinks.protection.outlook.com/?url=https%3A%2F%2Furldefense.proofpoint.com%2Fv2%2Furl%3Fu%3Dhttps-3A__broadpeak.tv_%26d%3DDwMFAg%26c%3DudBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ%26r%3DXniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM%26m%3DHpDOPdXZxC595fAQ1tUmoCm2xKWrFTipJWF44jjvIcc%26s%3DTLT6gKRtb8HNe5MyXEuZ2l9auJyH1s2EAG75ENu4w4Y%26e%3D&data=04%7C01%7CGuillaume.Bichot%40broadpeak.tv%7C5e941bffcdb24501b7ae08d90ab98c5f%7C0ebe44eac9c9438da0407e699f358ed4%7C0%7C0%7C637552614316612073%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=CoGn%2Bah0P3n1YZBlr7xUM5HsDZWbnlPtNBPA47IGt7k%3D&reserved=0>
>
>
>
>
>
>